CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfStencilMode Struct Reference

Stencil modes for drawing. More...

`#include <CSFML/Graphics/StencilMode.h>`

## Public Attributes
sfStencilComparison | stencilComparison
| The comparison we're performing the stencil test with.
sfStencilUpdateOperation | stencilUpdateOperation
| The update operation to perform if the stencil test passes.
sfStencilValue | stencilReference
| The reference value we're performing the stencil test with.
sfStencilValue | stencilMask
| The mask to apply to both the reference value and the value in the stencil buffer.
bool | stencilOnly
| Whether we should update the color buffer in addition to the stencil buffer.

## Detailed Description

Stencil modes for drawing.

Definition at line 83 of file StencilMode.h.

## Member Data Documentation

## ◆ stencilComparison

sfStencilComparison sfStencilMode::stencilComparison

The comparison we're performing the stencil test with.

Definition at line 85 of file StencilMode.h.

## ◆ stencilMask

sfStencilValue sfStencilMode::stencilMask

The mask to apply to both the reference value and the value in the stencil buffer.

Definition at line 88 of file StencilMode.h.

## ◆ stencilOnly

bool sfStencilMode::stencilOnly

Whether we should update the color buffer in addition to the stencil buffer.

Definition at line 89 of file StencilMode.h.

## ◆ stencilReference

sfStencilValue sfStencilMode::stencilReference

The reference value we're performing the stencil test with.

Definition at line 87 of file StencilMode.h.

## ◆ stencilUpdateOperation

sfStencilUpdateOperation sfStencilMode::stencilUpdateOperation

The update operation to perform if the stencil test passes.

Definition at line 86 of file StencilMode.h.

The documentation for this struct was generated from the following file:

- StencilMode.h